eclipse中的glassfish似乎没有看到我的JDK

我试图让glassfish在 eclipse

中工作,并遇到JRE vs JDK错误:

GlassFish v3 requires a JDK 1.6 and not a JRE. Please add/select the  correct JDK in the Server properties ‘Runtime Environment’ section.

我google了一下,看来很多人都有这个问题.确实在偏好中 – >服务器 – >运行时环境当我在glassfish服务器运行时环境中单击编辑时,JRE是“默认JRE”.我点击下拉菜单并将其切换到我的JDK:java-6-openjdk并认为我解决了问题.不幸的是,我仍然得到完全相同的错误.这让我对如何谷歌问题感到茫然,因为其他人似乎只是通过将JRE切换到JDK来解决它.有人有想法吗?

Avtar

尝试设置 Eclipse

在JDK中运行 – 也许Glassfish会选择它的JDK.为此,请编辑eclipse.ini,然后添加该行

-vm 
 path-to-javaw.exe-in-a-JDK

有了这个配置,我从来没有遇到过这个问题.

翻译自:https://stackoverflow.com/questions/7638748/glassfish-in-eclipse-doesnt-seem-to-see-my-jdk

原文 

https://codeday.me/bug/20190112/512143.html

本站部分文章源于互联网,本着传播知识、有益学习和研究的目的进行的转载,为网友免费提供。如有著作权人或出版方提出异议,本站将立即删除。如果您对文章转载有任何疑问请告之我们,以便我们及时纠正。

PS:推荐一个微信公众号: askHarries 或者qq群:474807195,里面会分享一些资深架构师录制的视频录像:有Spring,MyBatis,Netty源码分析,高并发、高性能、分布式、微服务架构的原理,JVM性能优化这些成为架构师必备的知识体系。还能领取免费的学习资源,目前受益良多

转载请注明原文出处:Harries Blog™ » eclipse中的glassfish似乎没有看到我的JDK

赞 (0)
分享到:更多 ()

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址